import numpy as np
from sklearn.datasets import load_breast_cancer
from sklearn.model_selection import train_test_split
from sklearn import tree

# Cargamos los datos
cancer = load_breast_cancer( )
print( cancer.data.shape )
print( cancer.target.shape )

# Datos de entrenamiento y de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( cancer.data, cancer.target,
    stratify=cancer.target, random_state=22 )

# Realizamos el árbol de decisión
clasificador = tree.DecisionTreeClassifier( random_state=10  )

clasificador.fit(X_entrena, y_entrena)

precision = clasificador.score(X_entrena, y_entrena)
print( "Precisión en el conjunto de entrenamiento {:.3f}".format(precision) )

precision = clasificador.score(X_prueba, y_prueba)
print( "Precisión en el conjunto de prueba {:.3f}".format(precision) )

print( len(cancer.feature_names) )
print( cancer.feature_names )
print( len(clasificador.feature_importances_) )
print( clasificador.feature_importances_ )

